petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSectionGetClosureIndex

Get the cache of points in the closure of each point in the section

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetClosureIndex(PetscSection section, PetscObject obj, PetscSection *clSection, IS *clPoints)

Collective on section

### Input Parameters

| section | - The PetscSection
| obj | - A PetscObject which serves as the key for this index

### Output Parameters

| clSection | - Section giving the size of the closure of each point
| clPoints | - IS giving the points in each closure

Note: We compress out closure points with no dofs in this section

### See Also

PetscSectionSetClosureIndex(), DMPlexCreateClosureIndex()

### Level

advanced

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages